package net.wanji.structure;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 所有模型类继承此抽象类方便打印输出
 * @Author:
 * @Description:
 * @Date: 2018/3/4 上午11:32
 */
public abstract class BaseModel implements Serializable {

    /** 路口编号 */
    String crossId;
    /** 行驶方向：0、正向；1、逆向 */
    String direction;
    /** 创建时间 */
    String gmtCreate;
    /** 修改时间 */
    String gmtModified;
    /** 当前页 */
    Integer currentPage;
    /** 每页大小 */
    Integer pageSize;


    String objectString;

    @Override
    public String toString() {
        String result = this.objectString;
        if(result != null){
            return result;
        }
        try {
            return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
        } catch (Exception e) {
            return super.toString();
        }
    }

    public String getCrossId() {
        return crossId;
    }

    public void setCrossId(String crossId) {
        this.crossId = crossId;
    }

    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
